function [ids_pf_active,ids_description,varargout] = tcv_get_ids_pf_active(shot, ids_pf_active_empty, gdat_params, varargin)
%
% gdat_params: gdat_data.gdat_params to get all params passed from original call, in particular error_bar options
%

% Input pharser
[ids_pf_active, params] = tcv_ids_headpart(shot, ids_pf_active_empty,'pf_active','homogeneous_time',0,varargin{:});

% Get subfield
[ids_pf_active.coil]= tcv_ids_coil(params.shot, ids_pf_active.coil(1));
[ids_pf_active.circuit]= tcv_ids_circuit(params.shot, ids_pf_active.circuit(1));
[ids_pf_active.supply]= tcv_get_ids_supply(params.shot, ids_pf_active.supply(1));

% make arrays not filled in empty: not the case for magnetics
ids_pf_active.vertical_force = {};

%% Temporarely 
ids_description = struct();
